#
# spec file for package perl-Archive-Tar (Version 0.22)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Archive-Tar
Copyright:    Copyright (c) 1998 Stephen Zander. All rights reserved.
Group:        Development/Libraries/Perl
Provides:     perl_tar
Obsoletes:    perl_tar
Autoreqprov:  on
Summary:      Perl module for creation and manipulation of tar files
Version:      0.22
Release:      29
Source:       Archive-Tar-%{version}.tar.bz2
Patch:        amavis-patch
BuildRoot:    /var/tmp/%{name}-build

%description
Perl module for creation and manipulation of tar files

Authors:
--------
    Stephen Zander <gibreel@pobox.com>

SuSE series: perl

%prep
%setup -n Archive-Tar-%{version}
%patch -p 1
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
make test
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod \
  | sed "s@$RPM_BUILD_ROOT@@g" \
  > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Archive-Tar
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Archive/Tar
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/ptar
/usr/lib/perl5/site_perl/5.*/Archive/Tar.pm
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Archive/Tar
%doc /usr/share/man/man3/Archive::Tar.3pm.gz
/var/adm/perl-modules/perl-Archive-Tar
%doc COPYRIGHT ChangeLog MANIFEST README TODO

%changelog -n perl-Archive-Tar
* Thu Aug 16 2001 - ro@suse.de
- renamed to perl-Archive-Tar
- bzipped source
* Tue Apr 10 2001 - ro@suse.de
- added group tag
- this package should probably be renamed to perl-Archive-Tar
* Wed Jul 19 2000 - choeger@suse.de
- first version, v0.22
